GETGID(2V)

NAME
getgid, getegid - get group identity

SYNOPSIS
int getgid()

int getegid()

SYSTEM V SYNOPSIS
#include <sys/types.h>

gid_t getgid()

gid_t getegid()

DESCRIPTION

getgid() returns the real group ID of the current process. getegid() returns the effective group ID of the current process.

The GID is specified at login time by the group field in the /etc/passwd database (see passwd(5)).

The effective GID is more transient, and determines additional access permission during execution of a setGID process, and it is for such processes that getegid() is most useful.

SEE ALSO
getuid(2V), setregid(2), setuid(3V)